# Method Getopt.get_args()

Method get_args

  ``array`(`string`) get_args(`array`(`string`) `argv`, `void`|`int(-1..1)` `posix_me_harder`, `void`|`int` `throw_errors`)`

Description

  This function returns the remaining command line arguments after you have run find_option() or find_all_options() to find all the options in the argument list. If there are any options left not handled by find_option() or find_all_options() this function will fail.

  If `throw_errors` has been specified get_args() will throw errors on failure. If it has been left out, or is `0` (zero), it will instead print an error message on Stdio.stderr and exit the program with result code 1 on failure.

Returns

  On success a new `argv` array without the parsed options is returned.

See also

  Getopt.find_option(), Getopt.find_all_options()